# Mapping API - Hotel/City IDs

This API will provide you with the IDs of the hotels and cities. You can use this API to map your system with our IDs.

Within the JSON response, you will get a <mark style="color:red;">**`document_id`**</mark> which will be your target Hotel/City ID.

### Parameters

| Parameter                                                       | Description                  |
| --------------------------------------------------------------- | ---------------------------- |
| <p>api\_key<br><br><mark style="color:red;">required</mark></p> | Your personal API key.       |
| <p>name<br><br><mark style="color:red;">required</mark></p>     | Name of the hotel or a city. |

### API Example&#x20;

{% tabs %}
{% tab title="cURL" %}

```bash
curl "https://api.makcorps.com/mapping?api_key=6571c870c2a0a227d4a33ddc&name=the%20lenox"
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.makcorps.com/mapping"
params = {
    'api_key': '6571c870c2a0a227d4a33ddc',
    'name': 'the lenox'
}

response = requests.get(url, params=params)

# Check if the request was successful (status code 200)
if response.status_code == 200:
    # Parse JSON response
    json_data = response.json()
    
    # Print or use the parsed JSON data
    print(json_data)
else:
    # Print an error message if the request was not successful
    print(f"Error: {response.status_code}, {response.text}")

```

{% endtab %}

{% tab title="Nodejs" %}

```javascript
const axios = require('axios');

const url = 'https://api.makcorps.com/mapping';
const params = {
    api_key: '6571c870c2a0a227d4a33ddc',
    name: 'the lenox'
};

axios.get(url, { params })
    .then(response => {
        // Log or process the response data
        console.log(response.data);
    })
    .catch(error => {
        // Log or handle the error
        console.error(`Error: ${error.message}`);
    });

```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$url = 'https://api.makcorps.com/mapping';
$params = array(
    'api_key' => '6571c870c2a0a227d4a33ddc',
    'name' => 'the lenox'
);

$queryString = http_build_query($params);
$fullUrl = $url . '?' . $queryString;

$response = file_get_contents($fullUrl);

// Check if the request was successful
if ($response !== false) {
    // Parse JSON response
    $json_data = json_decode($response, true);

    // Print or use the parsed JSON data
    print_r($json_data);
} else {
    // Handle the error
    echo "Error: Unable to fetch data.";
}
?>

```

{% endtab %}
{% endtabs %}

### Response

```json
[
  {
    "autobroadened": "false",
    "type": "HOTEL",
    "title": "Hotels",
    "document_id": "114134",
    "scope": "global",
    "name": "The Lenox Hotel, Boston, Massachusetts",
    "data_type": "LOCATION",
    "details": {
      "placetype": 10023,
      "parent_name": "Boston",
      "address": "61 Exeter Street",
      "grandparent_name": "Massachusetts",
      "grandparent_id": 28942,
      "parent_id": 60745,
      "grandparent_place_type": 10003,
      "highlighted_name": "The Lenox Hotel",
      "name": "The Lenox Hotel",
      "parent_place_type": 10004,
      "parent_ids": [
        60745,
        28942,
        191,
        19,
        1
      ],
      "geo_name": "Boston, Massachusetts"
    },
    "value": 114134,
    "coords": "42.3492,-71.07961"
  },
  {
    "autobroadened": "false",
    "type": "HOTEL",
    "title": "Hotels",
    "document_id": "1146989",
    "scope": "global",
    "name": "The Black Swan Inn Lee - Lenox, Ascend Hotel Collection, Lee, Massachusetts",
    "data_type": "LOCATION",
    "details": {
      "placetype": 10023,
      "parent_name": "Lee",
      "address": "435 Laurel St",
      "grandparent_name": "Massachusetts",
      "grandparent_id": 28942,
      "parent_id": 41636,
      "grandparent_place_type": 10003,
      "highlighted_name": "The Black Swan Inn Lee - Lenox, Ascend Hotel Collection",
      "name": "The Black Swan Inn Lee - Lenox, Ascend Hotel Collection",
      "parent_place_type": 10004,
      "parent_ids": [
        41636,
        659471,
        28942,
        191,
        19,
        1
      ],
      "geo_name": "Lee, Massachusetts"
    },
    "value": 1146989,
    "coords": "42.32149,-73.25985"
  },
  {
    "autobroadened": "false",
    "type": "HOTEL",
    "title": "Hotels",
    "document_id": "4698434",
    "scope": "global",
    "name": "The Lenox Guesthouse, Cape Town Central, South Africa",
    "data_type": "LOCATION",
    "details": {
      "placetype": 10023,
      "parent_name": "Cape Town Central",
      "address": "2 Mill Street",
      "grandparent_name": "South Africa",
      "grandparent_id": 293740,
      "parent_id": 312659,
      "grandparent_place_type": 10001,
      "highlighted_name": "The Lenox Guesthouse",
      "name": "The Lenox Guesthouse",
      "parent_place_type": 10004,
      "parent_ids": [
        312659,
        1722390,
        312653,
        293740,
        6,
        1
      ],
      "geo_name": "Cape Town Central, South Africa"
    },
    "value": 4698434,
    "coords": "-33.933975,18.414122"
  },
  {
    "autobroadened": "false",
    "type": "HOTEL",
    "title": "Hotels",
    "document_id": "85782",
    "scope": "global",
    "name": "The Don CeSar, St. Pete Beach, Florida",
    "data_type": "LOCATION",
    "details": {
      "placetype": 10023,
      "parent_name": "St. Pete Beach",
      "address": "3400 Gulf Boulevard",
      "grandparent_name": "Florida",
      "grandparent_id": 28930,
      "parent_id": 34606,
      "grandparent_place_type": 10003,
      "highlighted_name": "The Don CeSar",
      "name": "The Don CeSar",
      "parent_place_type": 10004,
      "parent_ids": [
        34606,
        28930,
        191,
        19,
        1
      ],
      "geo_name": "St. Pete Beach, Florida"
    },
    "value": 85782,
    "coords": "27.709328,-82.73727"
  },
  {
    "autobroadened": "false",
    "type": "HOTEL",
    "title": "Hotels",
    "document_id": "2095544",
    "scope": "global",
    "name": "The Westin Reserva Conchal, an All-Inclusive Golf Resort & Spa, Brasilito, Costa Rica",
    "data_type": "LOCATION",
    "details": {
      "placetype": 10023,
      "parent_name": "Brasilito",
      "grandparent_name": "Costa Rica",
      "grandparent_id": 291982,
      "parent_id": 1013693,
      "grandparent_place_type": 10001,
      "highlighted_name": "The Westin Reserva Conchal, an All-Inclusive Golf Resort &amp; Spa",
      "name": "The Westin Reserva Conchal, an All-Inclusive Golf Resort & Spa",
      "parent_place_type": 10004,
      "parent_ids": [
        1013693,
        309235,
        291982,
        291958,
        1
      ],
      "geo_name": "Brasilito, Costa Rica"
    },
    "value": 2095544,
    "coords": "10.397346,-85.801346"
  },
  {
    "autobroadened": "false",
    "type": "HOTEL",
    "title": "Hotels",
    "document_id": "1022759",
    "scope": "global",
    "name": "Atlantis The Palm, Dubai, United Arab Emirates",
    "data_type": "LOCATION",
    "details": {
      "placetype": 10023,
      "parent_name": "Dubai",
      "address": "Crescent Road",
      "grandparent_name": "United Arab Emirates",
      "grandparent_id": 294012,
      "parent_id": 295424,
      "grandparent_place_type": 10001,
      "highlighted_name": "Atlantis The Palm",
      "name": "Atlantis The Palm",
      "parent_place_type": 10015,
      "parent_ids": [
        295424,
        2630221,
        294012,
        21,
        1
      ],
      "geo_name": "Dubai, United Arab Emirates"
    },
    "value": 1022759,
    "coords": "25.130457,55.11715"
  },
  {
    "autobroadened": "false",
    "type": "HOTEL",
    "title": "Hotels",
    "document_id": "114898",
    "scope": "global",
    "name": "The Strat Hotel, Casino & Tower, Las Vegas, Nevada",
    "data_type": "LOCATION",
    "details": {
      "placetype": 10023,
      "parent_name": "Las Vegas",
      "address": "2000 Las Vegas Boulevard South",
      "grandparent_name": "Nevada",
      "grandparent_id": 28949,
      "parent_id": 45963,
      "grandparent_place_type": 10003,
      "highlighted_name": "The Strat Hotel, Casino &amp; Tower",
      "name": "The Strat Hotel, Casino & Tower",
      "parent_place_type": 10004,
      "parent_ids": [
        45963,
        28949,
        191,
        19,
        1
      ],
      "geo_name": "Las Vegas, Nevada"
    },
    "value": 114898,
    "coords": "36.147305,-115.155594"
  },
  {
    "autobroadened": "false",
    "type": "HOTEL",
    "title": "Hotels",
    "document_id": "111849",
    "scope": "global",
    "name": "The Westin Maui Resort & Spa Ka'anapali, Lahaina, Hawaii",
    "data_type": "LOCATION",
    "details": {
      "placetype": 10023,
      "parent_name": "Lahaina",
      "address": "2365 Kaanapali Parkway",
      "grandparent_name": "Hawaii",
      "grandparent_id": 28932,
      "parent_id": 60634,
      "grandparent_place_type": 10003,
      "highlighted_name": "The Westin Maui Resort &amp; Spa Ka&#39;anapali",
      "name": "The Westin Maui Resort & Spa Ka'anapali",
      "parent_place_type": 10004,
      "parent_ids": [
        60634,
        29220,
        28932,
        191,
        19,
        1
      ],
      "geo_name": "Lahaina, Hawaii"
    },
    "value": 111849,
    "coords": "20.919725,-156.69493"
  },
  {
    "autobroadened": "false",
    "type": "HOTEL",
    "title": "Hotels",
    "document_id": "277720",
    "scope": "global",
    "name": "Hilton Grand Vacations Club on the Las Vegas Strip, Las Vegas, Nevada",
    "data_type": "LOCATION",
    "details": {
      "placetype": 10023,
      "parent_name": "Las Vegas",
      "address": "2650 Las Vegas Blvd South",
      "grandparent_name": "Nevada",
      "grandparent_id": 28949,
      "parent_id": 45963,
      "grandparent_place_type": 10003,
      "highlighted_name": "Hilton Grand Vacations Club on the Las Vegas Strip",
      "name": "Hilton Grand Vacations Club on the Las Vegas Strip",
      "parent_place_type": 10004,
      "parent_ids": [
        45963,
        28949,
        191,
        19,
        1
      ],
      "geo_name": "Las Vegas, Nevada"
    },
    "value": 277720,
    "coords": "36.139877,-115.1609"
  },
  {
    "autobroadened": "false",
    "type": "HOTEL",
    "title": "Hotels",
    "document_id": "271867",
    "scope": "global",
    "name": "The Diplomat Beach Resort Hollywood, Curio Collection by Hilton, Hollywood, Florida",
    "data_type": "LOCATION",
    "details": {
      "placetype": 10023,
      "parent_name": "Hollywood",
      "address": "3555 South Ocean Drive",
      "grandparent_name": "Florida",
      "grandparent_id": 28930,
      "parent_id": 34296,
      "grandparent_place_type": 10003,
      "highlighted_name": "The Diplomat Beach Resort Hollywood, Curio Collection by Hilton",
      "name": "The Diplomat Beach Resort Hollywood, Curio Collection by Hilton",
      "parent_place_type": 10004,
      "parent_ids": [
        34296,
        10488475,
        28930,
        191,
        19,
        1
      ],
      "geo_name": "Hollywood, Florida"
    },
    "value": 271867,
    "coords": "25.991646,-80.11828"
  },
  {
    "autobroadened": "false",
    "type": "HOTEL",
    "title": "Hotels",
    "document_id": "255249",
    "scope": "global",
    "name": "The Inn on Biltmore Estate, Asheville, North Carolina",
    "data_type": "LOCATION",
    "details": {
      "placetype": 10023,
      "parent_name": "Asheville",
      "address": "1 Antler Hill Road",
      "grandparent_name": "North Carolina",
      "grandparent_id": 28954,
      "parent_id": 60742,
      "grandparent_place_type": 10003,
      "highlighted_name": "The Inn on Biltmore Estate",
      "name": "The Inn on Biltmore Estate",
      "parent_place_type": 10004,
      "parent_ids": [
        60742,
        1438847,
        28954,
        191,
        19,
        1
      ],
      "geo_name": "Asheville, North Carolina"
    },
    "value": 255249,
    "coords": "35.557793,-82.58058"
  },
  {
    "autobroadened": "false",
    "type": "HOTEL",
    "title": "Hotels",
    "document_id": "100567",
    "scope": "global",
    "name": "The Edgewater Hotel, Seattle, Washington",
    "data_type": "LOCATION",
    "details": {
      "placetype": 10023,
      "parent_name": "Seattle",
      "address": "2411 Alaskan Way",
      "grandparent_name": "Washington",
      "grandparent_id": 28968,
      "parent_id": 60878,
      "grandparent_place_type": 10003,
      "highlighted_name": "The Edgewater Hotel",
      "name": "The Edgewater Hotel",
      "parent_place_type": 10004,
      "parent_ids": [
        60878,
        28968,
        191,
        19,
        1
      ],
      "geo_name": "Seattle, Washington"
    },
    "value": 100567,
    "coords": "47.61237,-122.352516"
  },
  {
    "autobroadened": "false",
    "type": "ATTRACTION",
    "title": "Attractions",
    "document_id": "16787438",
    "scope": "global",
    "name": "The Center at Lenox, Lenox, Massachusetts",
    "data_type": "LOCATION",
    "details": {
      "placetype": 10021,
      "parent_name": "Lenox",
      "address": "489 Pittsfield Rd",
      "grandparent_name": "Massachusetts",
      "grandparent_id": 28942,
      "parent_id": 41639,
      "grandparent_place_type": 10003,
      "highlighted_name": "The Center at Lenox",
      "name": "The Center at Lenox",
      "parent_place_type": 10004,
      "parent_ids": [
        41639,
        659471,
        28942,
        191,
        19,
        1
      ],
      "geo_name": "Lenox, Massachusetts"
    },
    "value": 16787438,
    "coords": "42.40483,-73.26533"
  },
  {
    "autobroadened": "false",
    "type": "ATTRACTION",
    "title": "Attractions",
    "document_id": "191078",
    "scope": "global",
    "name": "The Alhambra, Granada, Andalucia, Spain",
    "data_type": "LOCATION",
    "details": {
      "placetype": 10021,
      "parent_name": "Granada",
      "address": "Calle Real de la Alhambra, s/n",
      "grandparent_name": "Spain",
      "grandparent_id": 187427,
      "parent_id": 187441,
      "grandparent_place_type": 10001,
      "highlighted_name": "The Alhambra",
      "name": "The Alhambra",
      "parent_place_type": 10004,
      "parent_ids": [
        187441,
        1044828,
        187428,
        187427,
        4,
        1
      ],
      "geo_name": "Granada, Andalucia, Spain"
    },
    "value": 191078,
    "coords": "37.17608,-3.588141"
  },
  {
    "lookbackServlet": null,
    "autobroadened": "false",
    "title": "Destinations",
    "type": "GEO",
    "document_id": "154999",
    "scope": "global",
    "name": "Niagara-on-the-Lake, Ontario, Canada",
    "data_type": "LOCATION",
    "details": {
      "placetype": 10015,
      "parent_name": "Ontario",
      "grandparent_name": "Canada",
      "grandparent_id": 153339,
      "parent_id": 154979,
      "grandparent_place_type": 10001,
      "rac_enabled": false,
      "highlighted_name": "Niagara-on-the-Lake",
      "name": "Niagara-on-the-Lake",
      "parent_place_type": 10020,
      "parent_ids": [
        154979,
        153339,
        19,
        1
      ],
      "geo_name": "Ontario, Canada"
    },
    "value": 154999,
    "coords": "43.254757,-79.07398"
  }
]
```

### Understand the Response

If the **`type`** property has a value of **`HOTEL`** then the **`document_id`** will be your hotel ID and if the **`type`** property has a value **`GEO`** then the value of **`document_id`** will be your city ID.
